Bug 229286

Summary: [Cocoa] Should video stop being live, time scrubber will not show
Product: WebKit Reporter: Jean-Yves Avenard [:jya] <jean-yves.avenard>
Component: MediaAssignee: Jean-Yves Avenard [:jya] <jean-yves.avenard>
Status: RESOLVED FIXED    
Severity: Normal CC: eric.carlson, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: Other   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=229269
Attachments:
Description Flags
Touch Bar
none
Patch
none
Patch none

Description Jean-Yves Avenard [:jya] 2021-08-19 01:08:41 PDT
Sometime the time scrubber will not show:

STR:

1- Open https://jyavenard.github.io/htmltests/tests/mse_mp4/81349236.html
2- Click somewhere on the video to get around autoplay policy or allow media to play for https://jyavenard.github.io domain.
3- Look at the Touch Bar.
4- Playback will start showing up as a live stream, will stall and the seek back to the beginning.

What happens: the scrubber doesn't show.

You may have to refresh the page if the scrubber appears, 90% of the time it won't.

What this page does is start loading a MSE video, setting the duration to Infinity and then load content and start playback.

Once playback has stalled, the duration is set to the buffered range end and loop.

The scrubber should appear when the duration is know as we can now seek in the video.
Comment 1 Radar WebKit Bug Importer 2021-08-19 01:09:05 PDT
<rdar://problem/82114447>
Comment 2 Jean-Yves Avenard [:jya] 2021-08-19 01:09:42 PDT
Created attachment 435853 [details]
Touch Bar
Comment 3 Jean-Yves Avenard [:jya] 2021-08-23 22:14:02 PDT
Created attachment 436263 [details]
Patch
Comment 4 Eric Carlson 2021-08-24 17:26:15 PDT
Comment on attachment 436263 [details]
Patch

Please add a link to the manual test.
Comment 5 Jean-Yves Avenard [:jya] 2021-08-24 19:24:12 PDT
Created attachment 436365 [details]
Patch

add manual test
Comment 6 EWS 2021-08-24 20:11:41 PDT
Committed r281543 (240910@main): <https://commits.webkit.org/240910@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 436365 [details].